Skip to navigation

Get Connect log entry

View as Markdown

Retrieves the specified Connect log entry for your account.

Note: The enableLog setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

logIdstringRequired
The ID of the connect log entry

Query parameters

additional_infostringOptional
When true, the connectDebugLog information is included in the response.

Response

Successful response.
accountIdstringOptional
The account ID associated with the envelope.
configUrlstringOptional
The web address of the listener or Retrieving Service end point for Connect.
connectDebugLoglist of objectsOptional

A complex element containing information about the Connect configuration, error details, date/time, description and payload.

This is only included in the response if the query additional_info=true is used.

connectIdstringOptional
The identifier for the Connect configuration that failed. If an account has multiple Connect configurations, this value is used to look up the Connect configuration for the failed post.
createdstringOptional
The date and time the entry was created.
emailstringOptional
The email that sent the envelope.
envelopeIdstringOptional
The envelope ID of the envelope status that failed to post.
errorstringOptional
The error that caused the Connect post to fail.
failureIdstringOptional
The failure log ID for the failure.
failureUristringOptional
The URI for the failure.
lastTrystringOptional
The date and time the last attempt to post.
logIdstringOptional
The Connect log ID for the entry.
logUristringOptional
The URI for the log item.
retryCountstringOptional
The number of times the Connect post has been retried.
retryUristringOptional
The UEI to retry to publish the Connect failure.
statusstringOptional

The new envelope status for the failed Connect post. The possible values are: Any, Voided, Created, Deleted, Sent, Delivered, Signed, Completed, Declined, TimedOut, Template, or Processing.

subjectstringOptional
The envelope subject.
userNamestringOptional
The name of the envelope sender.

Errors

400
Bad Request Error